#
# spec file for package hex
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hex
# I am not inclined towards the update to 1.8, see bsc#806703
Version:        1.4
Release:        281.22
Summary:        Yet Another Hex Dumper
License:        BSD-3-Clause
Group:          Development/Tools/Other
Url:            http://www.catb.org/~esr/hexdump/
Source:         http://www.catb.org/~esr/hexdump/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}.diff
Provides:       util-linux:%{_bindir}/hex
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A hex dumper that does CP/M and EBCDIC formatting and has
internationalization support.

%prep
%setup -q
%patch0

%build
make %{?_smp_mflags} clean
make CFLAGS="%{optflags} -Wall" CC="gcc" %{?_smp_mflags}

%install
mkdir -p %{buildroot}{%{_mandir}/man1,%{_bindir}}
make install DESTDIR=%{buildroot} MANDIR=%{_mandir}

%files
%defattr(-,root,root)
%doc READ.ME
%doc %{_mandir}/man?/*
%{_bindir}/hex

%changelog
* Mon Dec 18 2017 pgajdos@suse.com
- fixed url and source links, explain why not 1.8 until now
* Mon Apr 20 2015 mpluskal@suse.com
- Cleanup spec-file with spec-cleaner
- Use url for source
* Wed Oct 15 2014 jengelh@inai.de
- Enable parallel build and remove ancient specfile tags and sections
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Fri Feb 27 2004 ro@suse.de
- fix non-root build
* Fri Feb 27 2004 hmacht@suse.de
- build as non-root
* Thu Jul 24 2003 mjancar@suse.cz
- update to 1.4
* Fri Feb 14 2003 vbobek@suse.cz
- updated to version 1.3
- fixed overstrike in manpage
* Thu Mar 22 2001 ro@suse.de
- added split-aliases as provides
* Mon Feb  5 2001 kukuk@suse.de
- Initial package, split from util-linux
